Subject: Re: should git rev-parse -q --verify on a range produce output?

From: Junio C Hamano <[email-masked]>
Date: Mon, 09 Jan 2023 12:51:36 +0900

demerphq <[email-masked]> writes:

> Is this something you think should be fixed? I would give it a go if
> there was some direction on what it should do in this case. Just error
> early and produce no output?

I do not mind if the error case gets changed to behave differently,
as long as the updated behaviour is something everybody thinks an
improvement over the current behaviour.  I do not offhand know what
the "fixed" behaviour should be.

I do not mind if nothing changed and documentation gets updated to
reduce end-user confusion, either.

Thanks.